Subject: Re: drivers/staging/vme/Kconfig:5:warning: type of 'VME' redefined from 'boolean' to 'tristate'

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 11 Sep 2009 19:22:16 +0200

On Fri, Sep 11, 2009 at 17:02, Greg KH<[email-masked]> wrote:
> On Fri, Sep 11, 2009 at 04:26:36PM +0200, Geert Uytterhoeven wrote:
>> http://kisskb.ellerman.id.au/kisskb/buildresult/1221192/:
>> drivers/staging/vme/Kconfig:5:warning: type of 'VME' redefined from
>> 'boolean' to 'tristate'
>> drivers/staging/vme/Kconfig:5:warning: type of 'VME' redefined from
>> 'boolean' to 'tristate'
>>
>> We already have:
>>
>> arch/m68k/Kconfig:config VME
>> arch/m68k/Kconfig:      bool "VME (Motorola and BVM) support"
>> arch/m68k/Kconfig:        Say Y here if you want to build a kernel for
>> a 680x0 based VME
>
> Ah, not good.
>
> Are these a board-specific thing?  It's not the "VME bus" is it?

These are to enable support for the original VME-based machines (VME
started it's life on m68k).

From a historical point of view, it's a bit funny to see the new
CONFIG_VME(_BUS) depends on PCI ;-)

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds